ODK API Portal
한국어
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • Deprecated
  • Recent changes
Information
apple
category
channels
check-region
client-base
client-log
config
contact-us
cover
curation
epg
episode
episodes
fast-channel
firetv
google
live-tv
navigation
notice
otp
page
payment
playback-log
playback
profile
program
programs
promotion-banner
reward
samsung
search
shorts
sponsor
tv-guide
user
    change emailpostchange email confirmpostchange passwordpostdelete accountpost레거시 사용자 ID 일괄 이관post(미사용) 이메일/전화 변경 목록 조회getCreate a new token using a legacy tokenpostuser orders pay-per-viewget내 프로필 조회get내 프로필 전체 수정put내 프로필 부분 수정patchCheck status for QR LoginpostInitialize QR LogingetCheck status for QR PasspostInitialize QR PassgetSync auth from other clientpostVerfiy code for QR PasspostVerfiy code for QR LoginpostShow user status based on account_id(phone number, email)getreset passwordpostreset password emailpostreset password email confirmpostsign in v2postsign inpostsign outpostsign up v2postsign uppostauth with applepostauth with facebookpostde-authorizepost소셜 로그인 연동 해제postverify emailpostverify email confirmpost
visio-amasian-feed
Schemas
powered by Zudoku
ODX API v3
ODX API v3

user


change email

POST
https://odkmedia.io
/odx/api/v3/user/change-email/

send email to change account's email

change email › query Parameters

debug
​string

If value is "on", debug is included in response.

change email › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

change email › Request Body

OdxV3ChangeEmailRequest
new_email
​string · email · minLength: 1 · required

change email › Responses

200
OdxV3ChangeEmail
new_email
​string · email · required
POST/odx/api/v3/user/change-email/
curl https://odkmedia.io/odx/api/v3/user/change-email \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>' \
  --data '{
  "new_email": "test@example.com"
}'
Example Request Body
{
  "new_email": "test@example.com"
}
Example Responses
{
  "new_email": "test@example.com"
}
application/json

change email confirm

POST
https://odkmedia.io
/odx/api/v3/user/change-email/confirm/

change email with hash value

change email confirm › query Parameters

debug
​string

If value is "on", debug is included in response.

change email confirm › Headers

Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

change email confirm › Request Body

OdxV3EmailConfirmRequest
hash
​string · minLength: 1 · required

change email confirm › Responses

200
OdxV3EmailConfirm
hash
​string · required
POST/odx/api/v3/user/change-email/confirm/
curl https://odkmedia.io/odx/api/v3/user/change-email/confirm \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "hash": "hash"
}'
Example Request Body
{
  "hash": "hash"
}
Example Responses
{
  "hash": "hash"
}
application/json

change password

POST
https://odkmedia.io
/odx/api/v3/user/change-password/

change password › query Parameters

debug
​string

If value is "on", debug is included in response.

change password › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

change password › Request Body

OdxV3ChangePasswordRequest
new_password
​string · minLength: 1 · maxLength: 256 · required
password
​string · minLength: 1 · maxLength: 256 · required

change password › Responses

200
OdxV3ChangePassword
new_password
​string · maxLength: 256 · required
password
​string · maxLength: 256 · required
POST/odx/api/v3/user/change-password/
curl https://odkmedia.io/odx/api/v3/user/change-password \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>' \
  --data '{
  "new_password": "new_password",
  "password": "password"
}'
Example Request Body
{
  "new_password": "new_password",
  "password": "password"
}
Example Responses
{
  "new_password": "new_password",
  "password": "password"
}
application/json

delete account

POST
https://odkmedia.io
/odx/api/v3/user/delete-account/

delete account › query Parameters

debug
​string

If value is "on", debug is included in response.

delete account › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

delete account › Request Body

OdxV3DeleteAccountRequest
password
​string · minLength: 1 · maxLength: 256

If user login with apple or facebook account, then password is not required.

delete account › Responses

200
OdxV3DeleteAccount
password
​string · maxLength: 256

If user login with apple or facebook account, then password is not required.

POST/odx/api/v3/user/delete-account/
curl https://odkmedia.io/odx/api/v3/user/delete-account \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>' \
  --data '{
  "password": "password"
}'
Example Request Body
{
  "password": "password"
}
Example Responses
{
  "password": "password"
}
application/json

레거시 사용자 ID 일괄 이관

POST
https://odkmedia.io
/odx/api/v3/user/migrate/user-id/

요청 본문을 전혀 읽지 않는 배치 작업이다. old_id 가 없는 활성 odk 사용자 전체를 훑어 레거시 LegacyUser 테이블과 대조·생성해 old_id 를 채운다. 인증이 걸려 있지 않고, 전체가 하나의 트랜잭션이라 중간에 실패하면 그 호출에서 처리한 만큼 롤백된다(행 단위 예외는 Sentry 로 보고 후 계속 진행). 성공 건수와 무관하게 항상 200 을 반환한다.

레거시 사용자 ID 일괄 이관 › query Parameters

debug
​string

If value is "on", debug is included in response.

레거시 사용자 ID 일괄 이관 › Headers

Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

레거시 사용자 ID 일괄 이관 › Responses

200

No response body

No data returned
POST/odx/api/v3/user/migrate/user-id/
curl https://odkmedia.io/odx/api/v3/user/migrate/user-id \
  --request POST
Example Responses
No example specified for this content type

(미사용) 이메일/전화 변경 목록 조회

GET
https://odkmedia.io
/odx/api/v3/user/modify/

항상 빈 객체 {} 를 200 으로 반환하는 no-op 이다. 같은 라우터에 등록된 POST/PATCH(이메일·전화·비밀번호 변경 요청/확인)를 위해 ViewSet 에 GET 액션이 형식적으로 필요해서 존재할 뿐, 이 GET 자체는 데이터를 다루지 않는다.

(미사용) 이메일/전화 변경 목록 조회 › query Parameters

debug
​string

If value is "on", debug is included in response.

(미사용) 이메일/전화 변경 목록 조회 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

(미사용) 이메일/전화 변경 목록 조회 › Responses

200
​OdxV3UserModify[]
OdxV3UserModify
​
password
​string · maxLength: 256
phone
​string · maxLength: 256
verification
​string · maxLength: 256
GET/odx/api/v3/user/modify/
curl https://odkmedia.io/odx/api/v3/user/modify \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
[
  {
    "email": "test@example.com",
    "password": "password",
    "phone": "phone",
    "verification": "verification"
  }
]
application/json

Create a new token using a legacy token

POST
https://odkmedia.io
/odx/api/v3/user/new-token/
  • This API will only succeed when authenticating with a legacy token (32 characters).
  • Even if it's a valid token, if it's not a legacy token (32 characters), you'll get a 401 error.

Create a new token using a legacy token › query Parameters

debug
​string

If value is "on", debug is included in response.

Create a new token using a legacy token › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Create a new token using a legacy token › Responses

200

No response body

No data returned
POST/odx/api/v3/user/new-token/
curl https://odkmedia.io/odx/api/v3/user/new-token \
  --request POST \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

user orders pay-per-view

GET
https://odkmedia.io
/odx/api/v3/user/orders-pay-per-view/

user orders pay-per-view › query Parameters

debug
​string

If value is "on", debug is included in response.

user orders pay-per-view › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

user orders pay-per-view › Responses

200

No response body

No data returned
GET/odx/api/v3/user/orders-pay-per-view/
curl https://odkmedia.io/odx/api/v3/user/orders-pay-per-view \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

내 프로필 조회

GET
https://odkmedia.io
/odx/api/v3/user/profile/

내 프로필 조회 › query Parameters

debug
​string

If value is "on", debug is included in response.

내 프로필 조회 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

내 프로필 조회 › Responses

200
OdxV3UserProfile
​object · required
email
​string · enum · readOnly
  • facebook - Facebook
  • apple - Apple
  • email - Email
  • roku - Roku
  • phone - Phone
Enum values:
facebook
apple
email
roku
phone
​object
id
​integer · readOnly
is_email_password_set
​boolean · readOnly
is_email_verified
​boolean · readOnly
is_in_billing_retry_period
​boolean · readOnly

Indicates whether the user is in the billing retry period for subscription

is_in_grace_period
​boolean · readOnly

Indicates whether the user is in the grace period for subscription

is_odk_coupon_user
​boolean · readOnly
Default: false
login_type
​string · enum · readOnly

Login type saved in Token

Enum values:
facebook
apple
email
roku
phone
member_id
​string · readOnly

ODK User's member ID for Loyalty program (Reward)

name
​string · readOnly
phone
​boolean · readOnly
subscription_expire_date
​string | null · date · readOnly

subscription expire date or admin coupon expire date

subscription_interval_unit
​string | null · readOnly
subscription_is_cancellable
​boolean · readOnly

The value True means cancellable with active subscription and False means already canceled or etc.

Default: false
subscription_max_profile_count
​integer · readOnly
  • This value is the maximum number of Profiles a user can create.
  • If the user is not a subscription user, the value is '1'.
subscription_price
​number | null · double · readOnly
subscription_product_code
​string | null · readOnly

User's subscription product code

subscription_provider
​string | null · readOnly

Platform in which a user purchased a product

subscription_trial_end_date
​string | null · date · readOnly
subscription_type
​string · enum · readOnly

User's subscription level

Enum values:
basic
plus
standard
premium
premium-box
family
uuid
​string · uuid · readOnly

This value is not editable.

GET/odx/api/v3/user/profile/
curl https://odkmedia.io/odx/api/v3/user/profile \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
{ "email": "facebook", "external": { "kcp": "kcp" }, "id": 0, "is_email_password_set": true, "is_email_verified": true, "is_in_billing_retry_period": true, "is_in_grace_period": true, "is_odk_coupon_user": false, "login_type": "facebook", "member_id": "member_id", "name": "name", "phone": true, "subscription_expire_date": "2024-08-25", "subscription_interval_unit": "subscription_interval_unit", "subscription_is_cancellable": false, "subscription_max_profile_count": 0, "subscription_price": 0, "subscription_product_code": "subscription_product_code", "subscription_provider": "subscription_provider", "subscription_trial_end_date": "2024-08-25", "subscription_type": "basic", "userinfo": { "birthday": "2024-08-25", "gender": "m", "is_receive_mail": true, "language": "en", "postal_code": "postal_code" }, "uuid": "00000000-0000-0000-0000-000000000000" }
application/json

내 프로필 전체 수정

PUT
https://odkmedia.io
/odx/api/v3/user/profile/

내 프로필 전체 수정 › query Parameters

debug
​string

If value is "on", debug is included in response.

내 프로필 전체 수정 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

내 프로필 전체 수정 › Request Body

OdxV3UserProfileRequest
​object · required

내 프로필 전체 수정 › Responses

200
OdxV3UserProfile
​object · required
email
​string · enum · readOnly
  • facebook - Facebook
  • apple - Apple
  • email - Email
  • roku - Roku
  • phone - Phone
Enum values:
facebook
apple
email
roku
phone
​object
id
​integer · readOnly
is_email_password_set
​boolean · readOnly
is_email_verified
​boolean · readOnly
is_in_billing_retry_period
​boolean · readOnly

Indicates whether the user is in the billing retry period for subscription

is_in_grace_period
​boolean · readOnly

Indicates whether the user is in the grace period for subscription

is_odk_coupon_user
​boolean · readOnly
Default: false
login_type
​string · enum · readOnly

Login type saved in Token

Enum values:
facebook
apple
email
roku
phone
member_id
​string · readOnly

ODK User's member ID for Loyalty program (Reward)

name
​string · readOnly
phone
​boolean · readOnly
subscription_expire_date
​string | null · date · readOnly

subscription expire date or admin coupon expire date

subscription_interval_unit
​string | null · readOnly
subscription_is_cancellable
​boolean · readOnly

The value True means cancellable with active subscription and False means already canceled or etc.

Default: false
subscription_max_profile_count
​integer · readOnly
  • This value is the maximum number of Profiles a user can create.
  • If the user is not a subscription user, the value is '1'.
subscription_price
​number | null · double · readOnly
subscription_product_code
​string | null · readOnly

User's subscription product code

subscription_provider
​string | null · readOnly

Platform in which a user purchased a product

subscription_trial_end_date
​string | null · date · readOnly
subscription_type
​string · enum · readOnly

User's subscription level

Enum values:
basic
plus
standard
premium
premium-box
family
uuid
​string · uuid · readOnly

This value is not editable.

PUT/odx/api/v3/user/profile/
curl https://odkmedia.io/odx/api/v3/user/profile \ --request PUT \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "userinfo": { "birthday": "2024-08-25", "gender": "m", "is_receive_mail": true, "language": "en", "postal_code": "postal_code" } }'
Example Request Body
{
  "userinfo": {
    "birthday": "2024-08-25",
    "gender": "m",
    "is_receive_mail": true,
    "language": "en",
    "postal_code": "postal_code"
  }
}
Example Responses
{ "email": "facebook", "external": { "kcp": "kcp" }, "id": 0, "is_email_password_set": true, "is_email_verified": true, "is_in_billing_retry_period": true, "is_in_grace_period": true, "is_odk_coupon_user": false, "login_type": "facebook", "member_id": "member_id", "name": "name", "phone": true, "subscription_expire_date": "2024-08-25", "subscription_interval_unit": "subscription_interval_unit", "subscription_is_cancellable": false, "subscription_max_profile_count": 0, "subscription_price": 0, "subscription_product_code": "subscription_product_code", "subscription_provider": "subscription_provider", "subscription_trial_end_date": "2024-08-25", "subscription_type": "basic", "userinfo": { "birthday": "2024-08-25", "gender": "m", "is_receive_mail": true, "language": "en", "postal_code": "postal_code" }, "uuid": "00000000-0000-0000-0000-000000000000" }
application/json

내 프로필 부분 수정

PATCH
https://odkmedia.io
/odx/api/v3/user/profile/

내 프로필 부분 수정 › query Parameters

debug
​string

If value is "on", debug is included in response.

내 프로필 부분 수정 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

내 프로필 부분 수정 › Request Body

PatchedOdxV3UserProfileRequest
​object

내 프로필 부분 수정 › Responses

200
OdxV3UserProfile
​object · required
email
​string · enum · readOnly
  • facebook - Facebook
  • apple - Apple
  • email - Email
  • roku - Roku
  • phone - Phone
Enum values:
facebook
apple
email
roku
phone
​object
id
​integer · readOnly
is_email_password_set
​boolean · readOnly
is_email_verified
​boolean · readOnly
is_in_billing_retry_period
​boolean · readOnly

Indicates whether the user is in the billing retry period for subscription

is_in_grace_period
​boolean · readOnly

Indicates whether the user is in the grace period for subscription

is_odk_coupon_user
​boolean · readOnly
Default: false
login_type
​string · enum · readOnly

Login type saved in Token

Enum values:
facebook
apple
email
roku
phone
member_id
​string · readOnly

ODK User's member ID for Loyalty program (Reward)

name
​string · readOnly
phone
​boolean · readOnly
subscription_expire_date
​string | null · date · readOnly

subscription expire date or admin coupon expire date

subscription_interval_unit
​string | null · readOnly
subscription_is_cancellable
​boolean · readOnly

The value True means cancellable with active subscription and False means already canceled or etc.

Default: false
subscription_max_profile_count
​integer · readOnly
  • This value is the maximum number of Profiles a user can create.
  • If the user is not a subscription user, the value is '1'.
subscription_price
​number | null · double · readOnly
subscription_product_code
​string | null · readOnly

User's subscription product code

subscription_provider
​string | null · readOnly

Platform in which a user purchased a product

subscription_trial_end_date
​string | null · date · readOnly
subscription_type
​string · enum · readOnly

User's subscription level

Enum values:
basic
plus
standard
premium
premium-box
family
uuid
​string · uuid · readOnly

This value is not editable.

PATCH/odx/api/v3/user/profile/
curl https://odkmedia.io/odx/api/v3/user/profile \ --request PATCH \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "userinfo": { "birthday": "2024-08-25", "gender": "m", "is_receive_mail": true, "language": "en", "postal_code": "postal_code" } }'
Example Request Body
{
  "userinfo": {
    "birthday": "2024-08-25",
    "gender": "m",
    "is_receive_mail": true,
    "language": "en",
    "postal_code": "postal_code"
  }
}
Example Responses
{ "email": "facebook", "external": { "kcp": "kcp" }, "id": 0, "is_email_password_set": true, "is_email_verified": true, "is_in_billing_retry_period": true, "is_in_grace_period": true, "is_odk_coupon_user": false, "login_type": "facebook", "member_id": "member_id", "name": "name", "phone": true, "subscription_expire_date": "2024-08-25", "subscription_interval_unit": "subscription_interval_unit", "subscription_is_cancellable": false, "subscription_max_profile_count": 0, "subscription_price": 0, "subscription_product_code": "subscription_product_code", "subscription_provider": "subscription_provider", "subscription_trial_end_date": "2024-08-25", "subscription_type": "basic", "userinfo": { "birthday": "2024-08-25", "gender": "m", "is_receive_mail": true, "language": "en", "postal_code": "postal_code" }, "uuid": "00000000-0000-0000-0000-000000000000" }
application/json

Check status for QR Login

POST
https://odkmedia.io
/odx/api/v3/user/qr/check/

Check status for QR Login. If success, will be returned user's token

Check status for QR Login › query Parameters

debug
​string

If value is "on", debug is included in response.

Check status for QR Login › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Check status for QR Login › Responses

200

No response body

No data returned
POST/odx/api/v3/user/qr/check/
curl https://odkmedia.io/odx/api/v3/user/qr/check \
  --request POST \
  --header 'Service-Name: odk'
Example Responses
No example specified for this content type

Initialize QR Login

GET
https://odkmedia.io
/odx/api/v3/user/qr/initialize/

Get initial values for QR login

Initialize QR Login › query Parameters

debug
​string

If value is "on", debug is included in response.

from
​string

플랫폼 식별자. Samsung TV 라면 'samsung'을 보낸다. 그 외 클라이언트는 보낼 필요 없다. 값을 그대로(빈 문자열 포함) redirect_url 의 device 쿼리로 반영한다.

product_code
​string

값을 그대로(빈 문자열 포함) redirect_url 의 product_code 쿼리로 반영한다.

to
​string

값을 그대로(빈 문자열 포함) redirect_url 의 to 쿼리로 반영한다.

Initialize QR Login › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Initialize QR Login › Responses

200

No response body

No data returned
GET/odx/api/v3/user/qr/initialize/
curl https://odkmedia.io/odx/api/v3/user/qr/initialize \
  --header 'Service-Name: odk'
Example Responses
No example specified for this content type

Check status for QR Pass

POST
https://odkmedia.io
/odx/api/v3/user/qr/pass/check/

Check status for QR Pass.

Check status for QR Pass › query Parameters

debug
​string

If value is "on", debug is included in response.

Check status for QR Pass › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Check status for QR Pass › Responses

200

No response body

No data returned
POST/odx/api/v3/user/qr/pass/check/
curl https://odkmedia.io/odx/api/v3/user/qr/pass/check \
  --request POST \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

Initialize QR Pass

GET
https://odkmedia.io
/odx/api/v3/user/qr/pass/initialize/

Get initial values for QR Pass

Initialize QR Pass › query Parameters

debug
​string

If value is "on", debug is included in response.

from
​string

플랫폼 식별자. Samsung TV 라면 'samsung'을 보낸다. 그 외 클라이언트는 보낼 필요 없다. 값을 그대로(빈 문자열 포함) redirect_url 의 device 쿼리로 반영한다.

product_code
​string

값을 그대로(빈 문자열 포함) redirect_url 의 product_code 쿼리로 반영한다.

to
​string

값을 그대로(빈 문자열 포함) redirect_url 의 to 쿼리로 반영한다.

Initialize QR Pass › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Initialize QR Pass › Responses

200

No response body

No data returned
GET/odx/api/v3/user/qr/pass/initialize/
curl https://odkmedia.io/odx/api/v3/user/qr/pass/initialize \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

Sync auth from other client

POST
https://odkmedia.io
/odx/api/v3/user/qr/pass/sync-auth/

Sync auth from other client (CTV)

Sync auth from other client › query Parameters

debug
​string

If value is "on", debug is included in response.

Sync auth from other client › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Sync auth from other client › Responses

200

No response body

No data returned
POST/odx/api/v3/user/qr/pass/sync-auth/
curl https://odkmedia.io/odx/api/v3/user/qr/pass/sync-auth \
  --request POST \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

Verfiy code for QR Pass

POST
https://odkmedia.io
/odx/api/v3/user/qr/pass/verify/

Verify code for QR Pass. If success, CTV account token will be returned,

Verfiy code for QR Pass › query Parameters

debug
​string

If value is "on", debug is included in response.

Verfiy code for QR Pass › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Verfiy code for QR Pass › Responses

200

No response body

No data returned
POST/odx/api/v3/user/qr/pass/verify/
curl https://odkmedia.io/odx/api/v3/user/qr/pass/verify \
  --request POST \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

Verfiy code for QR Login

POST
https://odkmedia.io
/odx/api/v3/user/qr/verify/

Verify code for QR Login

Verfiy code for QR Login › query Parameters

debug
​string

If value is "on", debug is included in response.

Verfiy code for QR Login › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Verfiy code for QR Login › Responses

200

No response body

No data returned
POST/odx/api/v3/user/qr/verify/
curl https://odkmedia.io/odx/api/v3/user/qr/verify \
  --request POST \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

Show user status based on account_id(phone number, email)

GET
https://odkmedia.io
/odx/api/v3/user/registration-status/

Show user status based on account_id(phone number, email) › query Parameters

account_id
​string · required

조회할 계정 식별자(이메일 또는 전화번호).

debug
​string

If value is "on", debug is included in response.

Show user status based on account_id(phone number, email) › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Show user status based on account_id(phone number, email) › Responses

200
​RegistrationStatus[]
RegistrationStatus
account_id
​string · maxLength: 128 · required
GET/odx/api/v3/user/registration-status/
curl 'https://odkmedia.io/odx/api/v3/user/registration-status?account_id=<string>' \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
[
  {
    "account_id": "account_id"
  }
]
application/json

reset password

POST
https://odkmedia.io
/odx/api/v3/user/reset-password/

reset password › query Parameters

debug
​string

If value is "on", debug is included in response.

reset password › Headers

Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

reset password › Request Body

OdxV3ResetPasswordRequest
hash
​string · minLength: 1 · required
new_password
​string · minLength: 1 · maxLength: 256 · required

reset password › Responses

200
OdxV3ResetPassword
hash
​string · required
new_password
​string · maxLength: 256 · required
POST/odx/api/v3/user/reset-password/
curl https://odkmedia.io/odx/api/v3/user/reset-password \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "hash": "hash",
  "new_password": "new_password"
}'
Example Request Body
{
  "hash": "hash",
  "new_password": "new_password"
}
Example Responses
{
  "hash": "hash",
  "new_password": "new_password"
}
application/json

reset password email

POST
https://odkmedia.io
/odx/api/v3/user/reset-password/email/

send email to reset forgot password

reset password email › query Parameters

debug
​string

If value is "on", debug is included in response.

reset password email › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

reset password email › Request Body

OdxV3ResetPasswordEmailRequest
email
​string · email · minLength: 1 · required

reset password email › Responses

200
OdxV3ResetPasswordEmail
email
​string · email · required
POST/odx/api/v3/user/reset-password/email/
curl https://odkmedia.io/odx/api/v3/user/reset-password/email \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Service-Name: odk' \
  --data '{
  "email": "test@example.com"
}'
Example Request Body
{
  "email": "test@example.com"
}
Example Responses
{
  "email": "test@example.com"
}
application/json

reset password email confirm

POST
https://odkmedia.io
/odx/api/v3/user/reset-password/email/confirm/

validate hash value to reset password

reset password email confirm › query Parameters

debug
​string

If value is "on", debug is included in response.

reset password email confirm › Headers

Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

reset password email confirm › Request Body

OdxV3EmailConfirmRequest
hash
​string · minLength: 1 · required

reset password email confirm › Responses

200
OdxV3EmailConfirm
hash
​string · required
POST/odx/api/v3/user/reset-password/email/confirm/
curl https://odkmedia.io/odx/api/v3/user/reset-password/email/confirm \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "hash": "hash"
}'
Example Request Body
{
  "hash": "hash"
}
Example Responses
{
  "hash": "hash"
}
application/json

sign in v2

POST
https://odkmedia.io
/odx/api/v3/user/sign-in-v2/

sign in v2 › query Parameters

debug
​string

If value is "on", debug is included in response.

sign in v2 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

sign in v2 › Request Body

OdxV3SignInV2Request
​
keep
​boolean
password
​string · maxLength: 256
phone
​string · maxLength: 256
verification
​string · maxLength: 256

sign in v2 › Responses

200
OdxV3SignInV2
​
keep
​boolean
password
​string · maxLength: 256
phone
​string · maxLength: 256
verification
​string · maxLength: 256
POST/odx/api/v3/user/sign-in-v2/
curl https://odkmedia.io/odx/api/v3/user/sign-in-v2 \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Service-Name: odk' \
  --data '{
  "email": "test@example.com",
  "keep": true,
  "password": "password",
  "phone": "phone",
  "verification": "verification"
}'
Example Request Body
{
  "email": "test@example.com",
  "keep": true,
  "password": "password",
  "phone": "phone",
  "verification": "verification"
}
Example Responses
{
  "email": "test@example.com",
  "keep": true,
  "password": "password",
  "phone": "phone",
  "verification": "verification"
}
application/json

sign in

POST
https://odkmedia.io
/odx/api/v3/user/sign-in/

sign in › query Parameters

debug
​string

If value is "on", debug is included in response.

sign in › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

sign in › Request Body

OdxV3SignInRequest
email
​string · email · minLength: 1 · required
password
​string · minLength: 1 · maxLength: 256 · required
keep
​boolean

sign in › Responses

200
OdxV3SignIn
email
​string · email · required
password
​string · maxLength: 256 · required
keep
​boolean
POST/odx/api/v3/user/sign-in/
curl https://odkmedia.io/odx/api/v3/user/sign-in \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Service-Name: odk' \
  --data '{
  "email": "test@example.com",
  "keep": true,
  "password": "password"
}'
Example Request Body
{
  "email": "test@example.com",
  "keep": true,
  "password": "password"
}
Example Responses
{
  "email": "test@example.com",
  "keep": true,
  "password": "password"
}
application/json

sign out

POST
https://odkmedia.io
/odx/api/v3/user/sign-out/

sign out › query Parameters

debug
​string

If value is "on", debug is included in response.

sign out › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

sign out › Responses

200

No response body

No data returned
POST/odx/api/v3/user/sign-out/
curl https://odkmedia.io/odx/api/v3/user/sign-out \
  --request POST \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

sign up v2

POST
https://odkmedia.io
/odx/api/v3/user/sign-up-v2/

sign up v2 › query Parameters

debug
​string

If value is "on", debug is included in response.

sign up v2 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

sign up v2 › Request Body

OdxV3SignUpV2Request
​
password
​string · maxLength: 256
phone
​string · maxLength: 256
verification
​string · maxLength: 256

sign up v2 › Responses

200
OdxV3SignUpV2
​
password
​string · maxLength: 256
phone
​string · maxLength: 256
verification
​string · maxLength: 256
POST/odx/api/v3/user/sign-up-v2/
curl https://odkmedia.io/odx/api/v3/user/sign-up-v2 \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Service-Name: odk' \
  --data '{
  "email": "test@example.com",
  "password": "password",
  "phone": "phone",
  "verification": "verification"
}'
Example Request Body
{
  "email": "test@example.com",
  "password": "password",
  "phone": "phone",
  "verification": "verification"
}
Example Responses
{
  "email": "test@example.com",
  "password": "password",
  "phone": "phone",
  "verification": "verification"
}
application/json

sign up

POST
https://odkmedia.io
/odx/api/v3/user/sign-up/

sign up › query Parameters

debug
​string

If value is "on", debug is included in response.

sign up › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

sign up › Request Body

OdxV3SignUpRequest
email
​string · email · minLength: 1 · maxLength: 256 · required
password
​string · minLength: 1 · maxLength: 256 · required

sign up › Responses

200
OdxV3SignUp
email
​string · email · maxLength: 256 · required
password
​string · maxLength: 256 · required
POST/odx/api/v3/user/sign-up/
curl https://odkmedia.io/odx/api/v3/user/sign-up \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Service-Name: odk' \
  --data '{
  "email": "test@example.com",
  "password": "password"
}'
Example Request Body
{
  "email": "test@example.com",
  "password": "password"
}
Example Responses
{
  "email": "test@example.com",
  "password": "password"
}
application/json

auth with apple

POST
https://odkmedia.io
/odx/api/v3/user/social-auth/auth/apple/

Authorize with response from 'Sign in with Apple'

auth with apple › query Parameters

debug
​string

If value is "on", debug is included in response.

auth with apple › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

auth with apple › Responses

200

No response body

No data returned
POST/odx/api/v3/user/social-auth/auth/apple/
curl https://odkmedia.io/odx/api/v3/user/social-auth/auth/apple \
  --request POST \
  --header 'Service-Name: odk'
Example Responses
No example specified for this content type

auth with facebook

POST
https://odkmedia.io
/odx/api/v3/user/social-auth/auth/facebook/

Authorize with response from 'Facebook login'

auth with facebook › query Parameters

debug
​string

If value is "on", debug is included in response.

auth with facebook › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

auth with facebook › Responses

200

No response body

No data returned
POST/odx/api/v3/user/social-auth/auth/facebook/
curl https://odkmedia.io/odx/api/v3/user/social-auth/auth/facebook \
  --request POST \
  --header 'Service-Name: odk'
Example Responses
No example specified for this content type

de-authorize

POST
https://odkmedia.io
/odx/api/v3/user/social-auth/deauthorize/{backend_name}/{service_name}/

de-authorize › path Parameters

backend_name
​string · required
service_name
​string · required

de-authorize › query Parameters

debug
​string

If value is "on", debug is included in response.

de-authorize › Headers

Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

de-authorize › Responses

200

No response body

No data returned
POST/odx/api/v3/user/social-auth/deauthorize/{backend_name}/{service_name}/
curl https://odkmedia.io/odx/api/v3/user/social-auth/deauthorize/:backend_name/:service_name \
  --request POST
Example Responses
No example specified for this content type

소셜 로그인 연동 해제

POST
https://odkmedia.io
/odx/api/v3/user/social-auth/disconnect/{backend_name}/

소셜 로그인 연동 해제 › path Parameters

backend_name
​string · required

소셜 로그인 연동 해제 › query Parameters

debug
​string

If value is "on", debug is included in response.

소셜 로그인 연동 해제 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

소셜 로그인 연동 해제 › Responses

200

No response body

No data returned
POST/odx/api/v3/user/social-auth/disconnect/{backend_name}/
curl https://odkmedia.io/odx/api/v3/user/social-auth/disconnect/:backend_name \
  --request POST \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

verify email

POST
https://odkmedia.io
/odx/api/v3/user/verify-email/

send email to verify account's email

verify email › query Parameters

debug
​string

If value is "on", debug is included in response.

verify email › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

verify email › Responses

200

No response body

No data returned
POST/odx/api/v3/user/verify-email/
curl https://odkmedia.io/odx/api/v3/user/verify-email \
  --request POST \
  --header 'Service-Name: odk' \
  --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type

verify email confirm

POST
https://odkmedia.io
/odx/api/v3/user/verify-email/confirm/

validate hash value to verify email

verify email confirm › query Parameters

debug
​string

If value is "on", debug is included in response.

verify email confirm › Headers

Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

verify email confirm › Request Body

OdxV3EmailConfirmRequest
hash
​string · minLength: 1 · required

verify email confirm › Responses

200
OdxV3EmailConfirm
hash
​string · required
POST/odx/api/v3/user/verify-email/confirm/
curl https://odkmedia.io/odx/api/v3/user/verify-email/confirm \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "hash": "hash"
}'
Example Request Body
{
  "hash": "hash"
}
Example Responses
{
  "hash": "hash"
}
application/json

tv-guidevisio-amasian-feed